package com.sinosig.web.module.domain;

import java.io.Serializable;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.List;
import java.util.ArrayList;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * 应用实体[客户]
 */
public class CUSTOMER implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 车险单标识
     */
    private String CIDId;

    @JsonIgnore
    private boolean CIDIdDirtyFlag;
    /**
     * 出生年月
     */
    private Timestamp Csny;

    @JsonIgnore
    private boolean CsnyDirtyFlag;
    /**
     * 客户标识
     */
    private String CUSTOMERId;

    @JsonIgnore
    private boolean CUSTOMERIdDirtyFlag;
    /**
     * 客户名称
     */
    private String CUSTOMERName;

    @JsonIgnore
    private boolean CUSTOMERNameDirtyFlag;
    /**
     * 客户类型
     */
    private String Khlx;

    @JsonIgnore
    private boolean KhlxDirtyFlag;
    /**
     * 年龄
     */
    private Integer Nl;

    @JsonIgnore
    private boolean NlDirtyFlag;
    /**
     * 更新时间
     */
    private Timestamp UpdateDate;

    @JsonIgnore
    private boolean UpdateDateDirtyFlag;
    /**
     * 性别
     */
    private String Xb;

    @JsonIgnore
    private boolean XbDirtyFlag;
    /**
     * 证件号码
     */
    private String Zjhm;

    @JsonIgnore
    private boolean ZjhmDirtyFlag;
    /**
     * 证件类型
     */
    private String Zjlx;

    @JsonIgnore
    private boolean ZjlxDirtyFlag;

    /**
     * 获取 [车险单标识]
     */
    @JsonProperty("cidid")
    public String getCIDId(){
        return CIDId ;
    }

    /**
     * 设置 [车险单标识]
     */
    @JsonProperty("cidid")
    public void setCIDId(String  cIDId){
        this.CIDId = cIDId ;
        this.CIDIdDirtyFlag = true ;
    }

    /**
     * 获取 [车险单标识]脏标记
     */
    @JsonIgnore
    public boolean getCIDIdDirtyFlag(){
        return this.CIDIdDirtyFlag ;
    }

    /**
     * 获取 [出生年月]
     */
    @JsonProperty("csny")
    public Timestamp getCsny(){
        return Csny ;
    }

    /**
     * 设置 [出生年月]
     */
    @JsonProperty("csny")
    public void setCsny(Timestamp  csny){
        this.Csny = csny ;
        this.CsnyDirtyFlag = true ;
    }

    /**
     * 获取 [出生年月]脏标记
     */
    @JsonIgnore
    public boolean getCsnyDirtyFlag(){
        return this.CsnyDirtyFlag ;
    }

    /**
     * 获取 [客户标识]
     */
    @JsonProperty("customerid")
    public String getCUSTOMERId(){
        return CUSTOMERId ;
    }

    /**
     * 设置 [客户标识]
     */
    @JsonProperty("customerid")
    public void setCUSTOMERId(String  cUSTOMERId){
        this.CUSTOMERId = cUSTOMERId ;
        this.CUSTOMERIdDirtyFlag = true ;
    }

    /**
     * 获取 [客户标识]脏标记
     */
    @JsonIgnore
    public boolean getCUSTOMERIdDirtyFlag(){
        return this.CUSTOMERIdDirtyFlag ;
    }

    /**
     * 获取 [客户名称]
     */
    @JsonProperty("customername")
    public String getCUSTOMERName(){
        return CUSTOMERName ;
    }

    /**
     * 设置 [客户名称]
     */
    @JsonProperty("customername")
    public void setCUSTOMERName(String  cUSTOMERName){
        this.CUSTOMERName = cUSTOMERName ;
        this.CUSTOMERNameDirtyFlag = true ;
    }

    /**
     * 获取 [客户名称]脏标记
     */
    @JsonIgnore
    public boolean getCUSTOMERNameDirtyFlag(){
        return this.CUSTOMERNameDirtyFlag ;
    }

    /**
     * 获取 [客户类型]
     */
    @JsonProperty("khlx")
    public String getKhlx(){
        return Khlx ;
    }

    /**
     * 设置 [客户类型]
     */
    @JsonProperty("khlx")
    public void setKhlx(String  khlx){
        this.Khlx = khlx ;
        this.KhlxDirtyFlag = true ;
    }

    /**
     * 获取 [客户类型]脏标记
     */
    @JsonIgnore
    public boolean getKhlxDirtyFlag(){
        return this.KhlxDirtyFlag ;
    }

    /**
     * 获取 [年龄]
     */
    @JsonProperty("nl")
    public Integer getNl(){
        return Nl ;
    }

    /**
     * 设置 [年龄]
     */
    @JsonProperty("nl")
    public void setNl(Integer  nl){
        this.Nl = nl ;
        this.NlDirtyFlag = true ;
    }

    /**
     * 获取 [年龄]脏标记
     */
    @JsonIgnore
    public boolean getNlDirtyFlag(){
        return this.NlDirtyFlag ;
    }

    /**
     * 获取 [更新时间]
     */
    @JsonProperty("updatedate")
    public Timestamp getUpdateDate(){
        return UpdateDate ;
    }

    /**
     * 设置 [更新时间]
     */
    @JsonProperty("updatedate")
    public void setUpdateDate(Timestamp  updateDate){
        this.UpdateDate = updateDate ;
        this.UpdateDateDirtyFlag = true ;
    }

    /**
     * 获取 [更新时间]脏标记
     */
    @JsonIgnore
    public boolean getUpdateDateDirtyFlag(){
        return this.UpdateDateDirtyFlag ;
    }

    /**
     * 获取 [性别]
     */
    @JsonProperty("xb")
    public String getXb(){
        return Xb ;
    }

    /**
     * 设置 [性别]
     */
    @JsonProperty("xb")
    public void setXb(String  xb){
        this.Xb = xb ;
        this.XbDirtyFlag = true ;
    }

    /**
     * 获取 [性别]脏标记
     */
    @JsonIgnore
    public boolean getXbDirtyFlag(){
        return this.XbDirtyFlag ;
    }

    /**
     * 获取 [证件号码]
     */
    @JsonProperty("zjhm")
    public String getZjhm(){
        return Zjhm ;
    }

    /**
     * 设置 [证件号码]
     */
    @JsonProperty("zjhm")
    public void setZjhm(String  zjhm){
        this.Zjhm = zjhm ;
        this.ZjhmDirtyFlag = true ;
    }

    /**
     * 获取 [证件号码]脏标记
     */
    @JsonIgnore
    public boolean getZjhmDirtyFlag(){
        return this.ZjhmDirtyFlag ;
    }

    /**
     * 获取 [证件类型]
     */
    @JsonProperty("zjlx")
    public String getZjlx(){
        return Zjlx ;
    }

    /**
     * 设置 [证件类型]
     */
    @JsonProperty("zjlx")
    public void setZjlx(String  zjlx){
        this.Zjlx = zjlx ;
        this.ZjlxDirtyFlag = true ;
    }

    /**
     * 获取 [证件类型]脏标记
     */
    @JsonIgnore
    public boolean getZjlxDirtyFlag(){
        return this.ZjlxDirtyFlag ;
    }



}
